<?php

namespace CakeProducts\Service;

use Cake\Core\ContainerInterface;
use Cake\Core\Plugin;
use Cake\Core\ServiceConfig;
use Cake\Core\ServiceProvider;
use Cake\Log\Log;
use Cake\ORM\Locator\LocatorAwareTrait;
use CakeProducts\Service\InternalCatalogManagerService;

class CatalogManagerServiceProvider extends ServiceProvider
{
    protected array $provides = [
        InternalCatalogManagerService::class
    ];

    /**
     * @param ContainerInterface $container
     *
     * @return void
     */
    public function services(ContainerInterface $container): void
    {
        $container->add(InternalCatalogManagerService::class)
            ->addArgument(new ExternalCatalogManagerService());
    }
}
