<?php
declare(strict_types=1);

namespace CakeProducts\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ExternalProductCatalogsFixture
 */
class ExternalProductCatalogsFixture extends TestFixture
{
    /**
     * fields property
     *
     * @var array
     */
    public array $fields = [
        'id' => ['type' => 'integer'],
        'product_catalog_id' => ['type' => 'uuid'],
        'base_url' => ['type' => 'string', 'length' => 255, 'null' => false],
        'api_url' => ['type' => 'string', 'length' => 255, 'null' => false],
        'created' => ['type' => 'datetime', 'null' => false],
        'deleted' => ['type' => 'datetime', 'null' => true],
        'enabled' => ['type' => 'boolean', 'null' => true],
        '_constraints' => ['primary' => ['type' => 'primary', 'columns' => ['id']]],
    ];

    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => 1,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'base_url' => 'http://localhost:8766',
                'api_url' => 'http://localhost:8766/api',
                'created' => '2024-11-22 09:39:37',
                'deleted' => '2024-11-22 09:39:37',
                'enabled' => 1,
            ],
        ];
        parent::init();
    }
}
